<template name="kioskTimetablePage">
	<div class="container-fluid timetable">
		<div class="timetable-header">
			<div class="timetable-days">
				{{#each days}}
					<div class="timetable-day" style="{{position}}">
						{{showDay moment}}
					</div>
				{{/each}}
			</div>
			<div class="timetable-hours">
				{{#each hours}}
					<div class="timetable-hour" style="{{position}}">
						{{showHour moment}}
					</div>
				{{/each}}
			</div>
		</div>
		{{#each this.grouped}}
			{{#each perRoom}}
				<div class=" timetable-row {{#if isRoomRow room @index}}timetable-row--room{{/if}}">
					<div class="timetable-location text-start">
						<a href="{{pathFor 'venueDetails' data=location}}">
							<span class="fa-solid fa-house fa-fw" aria-hidden="true"></span>
							{{venue.name}}
							{{#if room}}
								<span class="fa-solid fa-signs-post fa-fw"
									  aria-hidden="true"></span>
								{{ room }}
							{{/if}}
						</a>
					</div>
					{{#each rows}}
						<div class="timetable-row-section">
							{{#each this}}
								<div class="timetable-event" style={{position}}>
									<div class="timetable-event-title">
										{{this.title}}
									</div>
									<div class="timetable-event-time">
										<span class="fa-regular fa-clock fa-fw"
											  aria-hidden="true"></span>
										{{timeFormat start}} - {{timeFormat end}}
									</div>
									<div class="timetable-event-description">
										{{{description}}}
									</div>
								</div>
							{{/each}}
						</div>
					{{/each}}
				</div>
			{{/each}}
		{{/each}}
		{{#unless future_length}}
			<h3>{{i18n 'kiosk.noFutureEvents' 'There are no future events'}}</h3>
		{{/unless}}
	</div>
</template>
